| qspipsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPsu_Msg Struct Reference
QSPIPSU APIs

This typedef contains configuration information for a flash message. More...

## Data Fields
u8 * | TxBfrPtr
| Tx Buffer pointer. More...
u8 * | RxBfrPtr
| Rx Buffer pointer. More...
u32 | ByteCount
| Byte Count. More...
u32 | BusWidth
| Bus Width. More...
u32 | Flags
| Flags. More...
u8 | PollData
| Poll Data. More...
u32 | PollTimeout
| Poll Timeout. More...
u8 | PollStatusCmd
| Poll Status command. More...
u8 | PollBusMask
| Poll Bus mask. More...
u64 | RxAddr64bit
| 64 bit Rx address More...
u8 | Xfer64bit
| 64 bit Tx address More...

## Detailed Description

This typedef contains configuration information for a flash message.

## Field Documentation

u32 XQspiPsu_Msg::BusWidth

Bus Width.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashRegisterRead(), FlashRegisterWrite(), FlashWrite(), MultiDieRead(), QspiPsuConfigurePoll(), and XQspiPsu_GenFifoEntryData().

u32 XQspiPsu_Msg::ByteCount

Byte Count.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashRegisterRead(), FlashRegisterWrite(), FlashWrite(), MultiDieRead(), QspiPsuConfigurePoll(), XQspiPsu_GenFifoEntryData(), XQspiPsu_GenFifoEntryDataLen(), XQspiPsu_RXSetup(), XQspiPsu_SetIOMode(), XQspiPsu_Setup64BRxDma(), XQspiPsu_SetupRxDma(), and XQspiPsu_TXSetup().

u32 XQspiPsu_Msg::Flags

Flags.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashRegisterRead(), FlashRegisterWrite(), FlashWrite(), MultiDieRead(), QspiPsuConfigurePoll(), XQspiPsu_GenFifoEntryData(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrSendData(), XQspiPsu_PollDataConfig(), XQspiPsu_PolledTransfer(), XQspiPsu_StartDmaTransfer(), and XQspiPsu_TXRXSetup().

u8 XQspiPsu_Msg::PollBusMask

Poll Bus mask.

Referenced by QspiPsuConfigurePoll(), and XQspiPsu_CreatePollDataConfig().

u8 XQspiPsu_Msg::PollData

Poll Data.

Referenced by QspiPsuConfigurePoll(), and XQspiPsu_CreatePollDataConfig().

u8 XQspiPsu_Msg::PollStatusCmd

Poll Status command.

Referenced by QspiPsuConfigurePoll(), and XQspiPsu_PollDataConfig().

u32 XQspiPsu_Msg::PollTimeout

Poll Timeout.

Referenced by QspiPsuConfigurePoll(), and XQspiPsu_PollDataConfig().

u64 XQspiPsu_Msg::RxAddr64bit

64 bit Rx address

Referenced by XQspiPsu_CheckDmaDone(), XQspiPsu_RXSetup(), and XQspiPsu_Setup64BRxDma().

u8* XQspiPsu_Msg::RxBfrPtr

Rx Buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashRegisterRead(), FlashRegisterWrite(), FlashWrite(), MultiDieRead(), QspiPsuConfigurePoll(), XQspiPsu_CheckDmaDone(), XQspiPsu_ReadRxFifo(), XQspiPsu_SetIOMode(), and XQspiPsu_SetupRxDma().

u8* XQspiPsu_Msg::TxBfrPtr

Tx Buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashRegisterRead(), FlashRegisterWrite(), FlashWrite(), MultiDieRead(), QspiPsuConfigurePoll(), XQspiPsu_FillTxFifo(), and XQspiPsu_TXSetup().

u8 XQspiPsu_Msg::Xfer64bit

64 bit Tx address

Referenced by XQspiPsu_CheckDmaDone(), and XQspiPsu_RXSetup().